Package org.botblock.javabotblockapi.requests

## Enum GetListAction.ApiField

- java.lang.Object
- - java.lang.Enum<GetListAction.ApiField>
  - - org.botblock.javabotblockapi.requests.GetListAction.ApiField

- All Implemented Interfaces:
    `Serializable`, `Comparable<GetListAction.ApiField>`
  Enclosing class:
    GetListAction

      public static enum GetListAction.ApiField
      extends Enum<GetListAction.ApiField>

  Enum containing the different API fields a bot list may have.
  This is used for `GetListAction#getApiField(String, Site|String, ApiField)`
  Since:
    5.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `STRING_SERVER_COUNT` | Name of the field for the server count.
    `STRING_SHARD_COUNT` | Name of the field for the shard count.
    `STRING_SHARD_ID` | Name of the field for the shard id.
    `STRING_SHARDS` | Name of the field for the shards.
    `URL_ALL` | URL to GET all listed bots on a bot list.
    `URL_DOCS` | URL to view the API documentation of the bot list
    `URL_GET` | URL to GET information about a single bot listed on the bot list.
    `URL_POST` | URL to POST the server count to a bot list.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getApiField()` |
    `String` | `toString()` |
    `static GetListAction.ApiField` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GetListAction.ApiField[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING_SERVER_COUNT

          public static final GetListAction.ApiField STRING_SERVER_COUNT

      Name of the field for the server count. Example: `server_count`
      Since:
        5.2.0

    - #### STRING_SHARD_ID

          public static final GetListAction.ApiField STRING_SHARD_ID

      Name of the field for the shard id. Example: `shard_id`
      Since:
        5.2.0

    - #### STRING_SHARD_COUNT

          public static final GetListAction.ApiField STRING_SHARD_COUNT

      Name of the field for the shard count. Example: `shard_count`
      Since:
        5.2.0

    - #### STRING_SHARDS

          public static final GetListAction.ApiField STRING_SHARDS

      Name of the field for the shards. Example: `shards`
      Since:
        5.2.0

    - #### URL_ALL

          public static final GetListAction.ApiField URL_ALL

      URL to GET all listed bots on a bot list.
      Since:
        5.2.0

    - #### URL_DOCS

          public static final GetListAction.ApiField URL_DOCS

      URL to view the API documentation of the bot list
      Since:
        5.2.0

    - #### URL_GET

          public static final GetListAction.ApiField URL_GET

      URL to GET information about a single bot listed on the bot list.
      Since:
        5.2.0

    - #### URL_POST

          public static final GetListAction.ApiField URL_POST

      URL to POST the server count to a bot list.
      Since:
        5.2.0

  - ### Method Detail

    - #### values

          public static GetListAction.ApiField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GetListAction.ApiField c : GetListAction.ApiField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GetListAction.ApiField valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getApiField

          public String getApiField()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<GetListAction.ApiField>`